InvalidNameException (Java SE 25 & JDK 25)
Description: declaration: module: java.naming, package: javax.naming, class: InvalidNameException
Keywords: javax.naming.InvalidNameException class

# Class InvalidNameException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.InvalidNameException

All Implemented Interfaces:
  `Serializable`

public class InvalidNameException extends NamingException
This exception indicates that the name being specified does not conform to the naming syntax of a naming system. This exception is thrown by any of the methods that does name parsing (such as those in Context, DirContext, CompositeName and CompoundName).

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - `Context`
  - `DirContext`
  - `CompositeName`
  - `CompoundName`
  - `NameParser`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidNameException()`
  Constructs an instance of InvalidNameException with all fields set to null.
  `InvalidNameException(String explanation)`
  Constructs an instance of InvalidNameException using an explanation of the problem.

- ## Method Summary

  ### Methods declared in class NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidNameException

    public InvalidNameException(String explanation)
    Constructs an instance of InvalidNameException using an explanation of the problem. All other fields are initialized to null.
    Parameters:
      `explanation` - A possibly null message explaining the problem.
    See Also:
      - `Throwable.getMessage()`

  - ### InvalidNameException

    public InvalidNameException()
    Constructs an instance of InvalidNameException with all fields set to null.